Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1577078 - hp-plugin crashes with ModuleNotFoundError: No module named 'ui5'
Summary: hp-plugin crashes with ModuleNotFoundError: No module named 'ui5'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 07:25 UTC by Tomáš Hozza
Modified: 2018-05-16 16:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-16 16:44:05 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tomáš Hozza 2018-05-11 07:25:36 UTC
Description of problem:
$ hp-plugin 

HP Linux Imaging and Printing System (ver. 3.18.4)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.


HP Linux Imaging and Printing System (ver. 3.18.4)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Traceback (most recent call last):
  File "/usr/bin/hp-plugin", line 255, in <module>
    ui = import_module(ui_package + ".plugindialog")
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 941, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'ui5'

Version-Release number of selected component (if applicable):
hplip-3.18.4-1.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. run hp-plugin command

Actual results:
crash

Expected results:
should work

Additional info:
The problem is happening on F26, but the same NVR is also in F26+ releases, so I set the release to rawhide to make sure it is not mass closed soon.

Comment 1 Zdenek Dohnal 2018-05-11 08:05:18 UTC
Hi Tom,

thank you for reporting this issue! I'll fix the crash. And would you mind telling me if you have hplip-gui installed? Because hp-plugin needs to have hplip-gui subpackage installed or needs to be run with '-i' option for CLI (mentioned https://fedoraproject.org/wiki/How_to_debug_printing_problems#Missing_hplip-gui )

Comment 2 Tomáš Hozza 2018-05-14 12:27:23 UTC
(In reply to Zdenek Dohnal from comment #1)
> Hi Tom,
> 
> thank you for reporting this issue! I'll fix the crash. And would you mind
> telling me if you have hplip-gui installed? Because hp-plugin needs to have
> hplip-gui subpackage installed or needs to be run with '-i' option for CLI
> (mentioned
> https://fedoraproject.org/wiki/How_to_debug_printing_problems#Missing_hplip-
> gui )

No I didn't have it installed. Installing hplip-gui resolves the problem. hp-plugin could be probably modified to provide advice to install hplip-gui or to use -i, instead of a traceback.

Comment 3 Zdenek Dohnal 2018-05-14 12:59:46 UTC
(In reply to Tomáš Hozza from comment #2)
> hp-plugin could be probably modified to provide advice to install hplip-gui
> or to use -i, instead of a traceback.

Yes, that's how I intended to fix it.

Comment 4 Fedora Update System 2018-05-14 13:39:33 UTC
hplip-3.18.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2138a45ba8

Comment 5 Fedora Update System 2018-05-14 20:39:55 UTC
hplip-3.18.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2138a45ba8

Comment 6 Fedora Update System 2018-05-16 13:07:17 UTC
hplip-3.18.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.